# Generated by Django 3.1.1 on 2021-01-10 22:51

import datetime
from datetime import timezone

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("green_deal", "0003_auto_20210107_1120"),
    ]

    operations = [
        migrations.AlterField(
            model_name="greendealhomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text_2_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ],
                                        label="pravý sloupec",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "text_1_column",
                        wagtail.blocks.StructBlock(
                            [
                                ("header", wagtail.blocks.CharBlock()),
                                (
                                    "text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ]
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "FAQ_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "faqs",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "question",
                                                    wagtail.blocks.TextBlock(),
                                                ),
                                                (
                                                    "answer",
                                                    wagtail.blocks.RichTextBlock(),
                                                ),
                                            ]
                                        ),
                                        label="faq",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "news",
                        wagtail.blocks.ListBlock(
                            wagtail.blocks.StructBlock(
                                [
                                    ("header", wagtail.blocks.CharBlock()),
                                    (
                                        "perex",
                                        wagtail.blocks.RichTextBlock(
                                            features=[
                                                "h2",
                                                "h3",
                                                "h4",
                                                "h5",
                                                "bold",
                                                "italic",
                                                "ol",
                                                "ul",
                                                "hr",
                                                "link",
                                                "document-link",
                                                "image",
                                            ]
                                        ),
                                    ),
                                    ("img", wagtail.images.blocks.ImageChooserBlock()),
                                    ("link", wagtail.blocks.URLBlock()),
                                    (
                                        "date",
                                        wagtail.blocks.DateBlock(
                                            default=datetime.datetime(
                                                2021,
                                                1,
                                                10,
                                                22,
                                                51,
                                                27,
                                                691203,
                                                tzinfo=timezone.utc,
                                            )
                                        ),
                                    ),
                                ]
                            ),
                            label="aktuality",
                        ),
                    ),
                ],
                blank=True,
                verbose_name="obsah stránky",
            ),
        ),
        migrations.AlterField(
            model_name="greendealsubpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text_2_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ],
                                        label="pravý sloupec",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "text_1_column",
                        wagtail.blocks.StructBlock(
                            [
                                ("header", wagtail.blocks.CharBlock()),
                                (
                                    "text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ]
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "FAQ_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "faqs",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "question",
                                                    wagtail.blocks.TextBlock(),
                                                ),
                                                (
                                                    "answer",
                                                    wagtail.blocks.RichTextBlock(),
                                                ),
                                            ]
                                        ),
                                        label="faq",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "news",
                        wagtail.blocks.ListBlock(
                            wagtail.blocks.StructBlock(
                                [
                                    ("header", wagtail.blocks.CharBlock()),
                                    (
                                        "perex",
                                        wagtail.blocks.RichTextBlock(
                                            features=[
                                                "h2",
                                                "h3",
                                                "h4",
                                                "h5",
                                                "bold",
                                                "italic",
                                                "ol",
                                                "ul",
                                                "hr",
                                                "link",
                                                "document-link",
                                                "image",
                                            ]
                                        ),
                                    ),
                                    ("img", wagtail.images.blocks.ImageChooserBlock()),
                                    ("link", wagtail.blocks.URLBlock()),
                                    (
                                        "date",
                                        wagtail.blocks.DateBlock(
                                            default=datetime.datetime(
                                                2021,
                                                1,
                                                10,
                                                22,
                                                51,
                                                27,
                                                691203,
                                                tzinfo=timezone.utc,
                                            )
                                        ),
                                    ),
                                ]
                            ),
                            label="aktuality",
                        ),
                    ),
                ],
                blank=True,
                verbose_name="obsah stránky",
            ),
        ),
    ]
